# 动态接口

动态接口可以可以看作函数，有参数，有返回值。
具体执行的内容在后台由技术人员进行配置，
理论上任何任务都可以通过这个api完成。
因为是可配置的，所以称之为**动态**的，
不过一般情况下，进入生产环境配置好的接口不会轻易改动，
除非有bug。

- **URL**:
/api/interface/user/{name}/invoke
  - *name* - 动态接口的名称，可以认为是动态接口的唯一标识符。

- **Method**:
POST

- **Accept**:
application/json
  - *params* - **object** 动态接口的参数，类似函数的参数。
    任意键值对，键为字符串，值为任意合法的**json**值类型。
    具体的形式依赖于当前动态接口的配置。
    
- **Content-Type**: 
application/json 
  - \- **any** 返回值没有固定类型，完全依赖于配置。
